__author__ = 'ChrisP'

from pygame import mixer
import os
from resource_path import resource_path
class audioSystem(object):
    def __init__(self):
        self.mixer = mixer.init()

    def jumpSound(self):
        self.sound = mixer.Sound(resource_path(os.path.join('resources', 'jumpSound.ogg')))
        self.sound.play()

    def collectItem(self):
        self.sound = mixer.Sound(resource_path(os.path.join('resources', 'collectSound.ogg')))
        self.sound.play()
        self.sound.set_volume(0.75)

    def mainTheme(self):
        self.sound = mixer.Sound(resource_path(os.path.join('resources', '8DarkBitsofGrey.ogg')))
        self.sound.play()
        self.sound.set_volume(0.4)

    def gameOver(self):
        self.sound = mixer.Sound(resource_path(os.path.join('resources'), 'gameOverSound.ogg'))
        self.sound.play()